Bug 489350 - Multiple runs of spacewalk-setup produce multiple monitoring scout entries
Multiple runs of spacewalk-setup produce multiple monitoring scout entries
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.4
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-03-09 12:34 EDT by Milan Zázrivec
Modified: 2009-09-17 03:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:10:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scout config push page (59.75 KB, image/png)
2009-03-09 12:34 EDT, Milan Zázrivec
no flags Details

  None (edit)
Description Milan Zázrivec 2009-03-09 12:34:42 EDT
Created attachment 334553 [details]
scout config push page

Description of problem:
Multiple runs of spacewalk-setup (for example if previous run fails or
gets interrupted) result into multiple monitoring scout entries in databse
(visible via webui).

Version-Release number of selected component (if applicable):
SatConfig-general-1.216.8-1.el5
spacewalk-setup-0.5.17-1.el5

How reproducible:
Always

Steps to Reproduce:
1. # spacewalk-setup --disconnected
2. Proceed with the spacewalk-setup all the way to the point where the 
setup says "* Enabling Monitoring."
3. At this point it's safe to Ctrl-C the installation (to simulate the failure)
4. Re-run the setup again, answer no to wiping out the existing schema, proceed
all the way to the end.
5. Enable monitoring + monitoring scout.
6. webui: monitoring -> scout config push
  
Actual results:
Multiple scout entries (see attachment).

Expected results:
One entry for scout running on installed Spacewalk.

Additional info:
N/A
Comment 1 Miroslav Suchý 2009-03-12 09:48:38 EDT
Commited as e9b92eaeed70090cec629d8570c1aab19053ab71
Fixed in spacewalk-setup-0.5.20-1
Comment 2 Jesus M. Rodriguez 2009-04-14 10:13:26 EDT
Spacewalk 0.5 released.
Comment 3 Miroslav Suchý 2009-09-17 03:10:58 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.